<?php

return array(

    /*
    |--------------------------------------------------------------------------
    | Cipher used for API transactions
    |--------------------------------------------------------------------------
    |
    | Supported ciphers are: 'AES-128-CBC' and 'AES-256-CBC'
    |
    */

    'cipher' => null,

    /*
    |--------------------------------------------------------------------------
    | Current API version
    |--------------------------------------------------------------------------
    |
    | Set version to be used in API transactions
    |
    */

    'current_version' => env('API_CURRENT_VERSION'),

    /*
    |--------------------------------------------------------------------------
    | Versions namespace and path
    |--------------------------------------------------------------------------
    |
    | Namespace and path of project-specific version files
    |
    */

    'versions_namespace' => 'App\\Api',
    'versions_path' => implode([app()->path(), DIRECTORY_SEPARATOR, 'Api']),

    /*
    |--------------------------------------------------------------------------
    | Session lifetime
    |--------------------------------------------------------------------------
    |
    | Amount of minutes in which the Transaction becomes outdated
    |
    */

    'session_lifetime' => 120,
    
    /*
    |--------------------------------------------------------------------------
    | Buffer size
    |--------------------------------------------------------------------------
    |
    | Amount of records of some class to be buffered for bulk insert
    | before flushing the buffer from memory into base
    |
    */

    'buffer_size' => 1000,
    
    /*
    |--------------------------------------------------------------------------
    | Api key holder class
    |--------------------------------------------------------------------------
    |
    | Class which holds api keys info
    | Should provide:
    |
    |    public static function findByKey(string $key): ApiKeyInterface;
    |
    */

    'api_keys_class' => null,
    
    /*
    |--------------------------------------------------------------------------
    | Use internal Exception handler
    |--------------------------------------------------------------------------
    |
    | Use a handler provided by the ApiCore package instead of default one
    |
    */

    'exception_debug' => false,
    
    
);
